EEPGET(1)

NAME
Eepget - I2P Downloader

SYNOPSIS
eepget [Optionen]URL

BESCHREIBUNG

Downloaded eine Datei nicht interaktiv via HTTP Protokoll. Transfers im I2P und im normalen Netz sind möglich.

Eepget kommt mit langsamen oder instabilen Netzwerkverbindungen zurecht; falls der Download aus Netzwerkgründen abbricht, versucht eepget es nocheinmal, bis die Datei komplett geholt wurde (falls die -n Option gesetzt wurde). Falls der Server es zulässt, wird eepget dem Server anweisen, an der Stelle des Abbruchs fortzusetzen.

OPTIONEN
-c

Internet. Nicht als Proxy benutzen. Gleich wie -p :0 .

-e etag

Legt den etag-Wert in den Anforderungskopfdaten fest.

-h Name=Wert

Fügt eine freie Request Kopfzeile mit gegebenen Namen und Wert hinzu

-l Zeilenlänge

Kontrolliert die Fortschrittsanzeige.  linelen  ist die Länge einer Zeile in Zeichen. Das Default ist 40.

-m Marker Größe

Kontrolliert die Größe der Fortschrittsanzeige.  markSize  ist die Anzahl an Bytes, die ein '#' Zeichen repräsentiert. Defaultwert ist 1024.

-n Wiederholungen

Gibt die Anzahl an Wiederholungen an, wenn der Download nicht erfolgreich ist. Ist diese Option nicht gesetzt, wiederholt eepget nicht.

-o Datei

Gibt die Ausgabedatei an. Ist diese Optione nicht gesetzt, wird der Name der Datei durch die URL bestimmt.

-p Proxy_host[:port]

Definiert einen I2P Proxy Server (Eepproxy) zur Nutzung. Ist der Port nicht angegeben, wird eepget 4444 nutzen. Ist diese Option nicht gesetzt, benutzt eepget 127.0.0.1:4444. Nutzen Sie -c oder -p um den Eepproxy zu deaktivieren.

-t Sekunden

Legt die Inaktivitäts-Zeitbeschränkung fest. Die Standardeinstellung ist 60 Sekunden.

-u Benutzername

Legt den Benutzernamen für die Proxy-Autorisierung fest, falls erforderlich.

-x Passwort

Setzt das Passwort zur Proxy Authentifizierung, falls benötigt. Falls ein Benutzername, aber kein Passwort angegeben ist, wird Eepget nach dem Passwort fragen.

BEENDEN-STATUS
eepget endet mit dem Status null im Falle eines erfolgreichen Transfers, alternativ mit Nicht-Null, falls es Problem beim Download gab.

FEHLER MELDEN
Bitte tragen Sie ein Ticket auf Die I2P Trac Seite (https://trac.i2p2.de/). ein.

SIEHE AUCH
i2prouter(1) curl(1) wget(1)